
import { StyleSheet, Text, View } from 'react-native'
import { NativeBaseProvider, Box, Center, VStack } from "native-base"
import { Provider } from "react-redux"
import store from "./src/stores/store"
import ItemViewPage from './src/pages/ItemViewPage'
import LoginPage from './src/pages/LoginPage'

export default function App() {
  return (
    <Provider store={store}>
      <NativeBaseProvider>
        <VStack space={4} alignItems="center">
          {/* TODO: remove placeholder pro header / nav */}
          <Center w="100%" h="40" bg="primary.100" rounded="md" shadow={3} />
          <ItemViewPage itemId={'PrgA-811'} />
        </VStack>
      </NativeBaseProvider>
    </Provider>
  )
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#fff',
    alignItems: 'center',
    justifyContent: 'center',
  },
});
